Update a host cache setting
Updates a host cache setting to modify the current configuration for caching host information. Use this endpoint when you need to adjust cache settings to suit specific performance requirements.
HTTP method and endpoint
PATCH /name-services/cache/host/settings/{uuid}
Introduced in
ONTAP 9.14
Important notes
-
UUID field cannot be empty.
-
Returns success in case no values are provided for update.
Related ONTAP commands
-
vserver services name-service cache hosts settings modify
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
uuid |
string |
path |
True |
UUID for the host record. |
Request Body
| Name | Type | Description |
|---|---|---|
dns_ttl_enabled |
boolean |
Specifies whether TTL is based on the DNS or host settings. If enabled, TTL from DNS is used. |
enabled |
boolean |
Indicates whether or not the cache is enabled. |
negative_cache_enabled |
boolean |
Indicates whether or not the negative cache is enabled. |
negative_ttl |
string |
Specifies negative Time to Live, in ISO 8601 format. |
svm |
SVM, applies only to SVM-scoped objects. |
|
ttl |
string |
Specifies Time to Live (TTL), in ISO 8601 format. |
uuid |
string |
UUID for the host record. |
Example request
{
"dns_ttl_enabled": 1,
"negative_ttl": "PT5M",
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
},
"ttl": "PT24H",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
}
Response
Status: 200, Ok
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
23724055 |
Internal error. Configuration for Vserver failed. Verify that the cluster is healthy, then try the command again. For further assistance, contact technical support. |
Also see the table of common errors in the Response body overview section of this documentation.
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
svm
SVM, applies only to SVM-scoped objects.
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. This field cannot be specified in a PATCH method. |
uuid |
string |
The unique identifier of the SVM. This field cannot be specified in a PATCH method. |
hosts_settings
Hosts cache setting.
| Name | Type | Description |
|---|---|---|
dns_ttl_enabled |
boolean |
Specifies whether TTL is based on the DNS or host settings. If enabled, TTL from DNS is used. |
enabled |
boolean |
Indicates whether or not the cache is enabled. |
negative_cache_enabled |
boolean |
Indicates whether or not the negative cache is enabled. |
negative_ttl |
string |
Specifies negative Time to Live, in ISO 8601 format. |
svm |
SVM, applies only to SVM-scoped objects. |
|
ttl |
string |
Specifies Time to Live (TTL), in ISO 8601 format. |
uuid |
string |
UUID for the host record. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |